Bug 89569 - Papo & Yo crash on startup [HSW]
Summary: Papo & Yo crash on startup [HSW]
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Tapani Pälli
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-13 11:42 UTC by Tapani Pälli
Modified: 2015-03-17 06:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch to fix the issue (1.64 KB, patch)
2015-03-13 13:18 UTC, Tapani Pälli
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2015-03-13 11:42:35 UTC
When loading level "Papo & Yo" hits following assertion:

PYGame-Linux: brw_eu_emit.c:473: brw_set_src1: Assertion `brw_inst_src0_reg_file(brw, inst) != 3' failed.

I've bisected this to following commit:
--------- 8< ---------------------------

commit bb33a31c3830945ae768ebdaeb686291bdf897fa
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Nov 9 17:27:52 2014 -0800

    i965/fs: Add algebraic optimizations for MAD.
    
    total instructions in shared programs: 5764176 -> 5763808 (-0.01%)
    instructions in affected programs:     25121 -> 24753 (-1.46%)
    helped:                                164
    HURT:                                  2
    
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
Comment 1 Tapani Pälli 2015-03-13 13:18:17 UTC
Created attachment 114286 [details] [review]
patch to fix the issue

with great help of Curro I produced attached patch to fix this
Comment 2 Tapani Pälli 2015-03-17 06:01:10 UTC
fix pushed to master


bug/show.html.tmpl processed on Feb 24, 2017 at 01:44:26.
(provided by the Example extension).